# pnmcat

Updated: 30 May 2011
Table Of Contents

## NAME

pnmcat - concatenate Netpbm images

## SYNOPSIS

pnmcat {-leftright | -lr | -topbottom | -tb} [-white|-black] [-jtop|-jbottom|-jcenter] [-jleft|-jright|-jcenter] pnmfile ...

Minimum unique abbreviation of option is acceptable. You may use double hyphens instead of single hyphen to denote options. You may use white space in place of the equals sign to separate an option name from its value.

## DESCRIPTION

This program is part of Netpbm.

pnmcat reads one or more PNM images as input, concatenates them either left to right or top to bottom, and produces a single PNM image as output.

The arguments are names of input files. Any one of these, but not more than one, may be "-" to indicate Standard Input. If you have no arguments, that means a single input image from Standard Input (and that is pointless - the output is the same as the input).

To assemble a regular grid of images, you can use pamundice.

To do the reverse, you might use pamdice to split an image up into smaller ones of equal size or pamcut to chop off part of an image or extract part of an image.

pnmtile concatenates a single input image to itself repeatedly.

## OPTIONS

If the PNM images are not all the same height (left-right) or width (top-bottom), the smaller ones have to be justified with the largest. By default, pnmcat centers them, but you can specify justification to one side or the other with one of the -j xxx options. So, -topbottom -jleft would stack the PNMs on top of each other, flush with the left edge. -leftright -jbottom would line up the images left to right with their bottom edges aligned as if sitting on a table.

The -white and -black options specify what color to use to fill in the extra space when doing this justification. If neither is specified, pnmcat chooses whichever seems to be right for the images.

## SEE ALSO

pamundice, pamdice, pnmtile, pamcut, pnm

## AUTHOR

Copyright (C) 1989 by Jef Poskanzer.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR